Pix ProcessamentoPix Processamento Docs
Endpoints da APIRelatórios

Listar depósitos pendentes

GET
/user/deposit-pending

Autorização

BearerAuth
AutorizaçãoBearer <token>

Em: header

Parâmetros de query

status?string

Status separados por vírgula: PENDING, APPROVED, REJECTED, EXPIRED, COMPLETED.

document?string
name?string
endToEndId?string
amountMin?number
amountMax?number
createdAtFrom?string
Formatodate-time
createdAtTo?string
Formatodate-time
page?integer
Padrão1
Intervalo1 <= value
limit?integer
Padrão20
Intervalo1 <= value <= 100

Corpo da resposta

application/json

curl --request GET \  --url 'https://api.exemplo.processamento.com/v1/user/deposit-pending' \  --header 'Authorization: Bearer $PIX_TOKEN'
{
  "page": 1,
  "limit": 20,
  "hasNextPage": false,
  "data": [
    {
      "id": "dp_1",
      "status": "PENDING",
      "amount": 250.5,
      "payerDocument": "12345678901",
      "payerName": "Fulano",
      "payerAccountNumber": null,
      "payerInstitutionIspb": "12345678",
      "payerInstitutionName": "Banco X",
      "receiverDocument": "11222333000181",
      "receiverName": "Loja",
      "receiverAccountNumber": "513579",
      "receiverInstitutionIspb": "00000000",
      "receiverInstitutionName": "Pix Processamento",
      "endToEndId": "E123...",
      "paidAt": "2026-08-10T12:00:00.000Z",
      "pixKey": null,
      "description": null,
      "approvedAt": null,
      "rejectedAt": null,
      "rejectionReason": null,
      "transactionId": null,
      "createdAt": "2026-08-10T11:59:00.000Z",
      "updatedAt": "2026-08-10T12:00:00.000Z"
    }
  ]
}